<?php
class DbOperacion
{
    private $con;

    function __construct()
    {
        require_once dirname(__FILE__) . '/DbConexion.php';
        $db = new DbConexion();
        $this->con = $db->conectar();
    }

    public function comprobarCorreo($correo){
      // echo $correo." ". $password;
     $stmt = $this->con->prepare(" SELECT Id, Nombre FROM pacientes WHERE Correo=? ");
     $stmt->bind_param("s", $correo);
     $stmt->execute();
     $stmt->bind_result($id, $nombre);
     $usuario = array();
    
     while($stmt->fetch()){
     $temp = array();
     $temp['id'] = $id;
     $temp['nombre'] = $nombre;
     array_push($usuario, $temp);
     }

     return $usuario;
     }

 //adding a record to database
 public function agregarUsuario($nombre, $apellido_p, $apellido_m,$telefono,$correo,$password){
 $stmt = $this->con->prepare("INSERT INTO pacientes (Nombre, Apellido_P, Apellido_M, Telefono,Correo,Password) VALUES (?,?,?,?,?,?)");
 $stmt->bind_param("ssssss", $nombre, $apellido_p, $apellido_m,$telefono,$correo,$password);
 if($stmt->execute())
   return true;
 return false;
 }

 //fetching all records from the database
 /*
 public function getArtists(){
 $stmt = $this->con->prepare("SELECT id, name, genre FROM artists");
 $stmt->execute();
 $stmt->bind_result($id, $name, $genre);
 $artists = array();

 while($stmt->fetch()){
 $temp = array();
 $temp['id'] = $id;
 $temp['name'] = $name;
 $temp['genre'] = $genre;
 array_push($artists, $temp);
 }
 return $artists;
 }
 */
 //Valida al usuario iniciarSesion
 public function iniciarSesion($correo , $password){
  // echo $correo." ". $password;
 $stmt = $this->con->prepare(" SELECT Id, Nombre FROM pacientes WHERE Correo=? AND Password=? ");
 $stmt->bind_param("ss", $correo, $password);
 $stmt->execute();
 $stmt->bind_result($id, $nombre);
 $usuario = array();

 while($stmt->fetch()){
 $temp = array();
 $temp['id'] = $id;
 $temp['nombre'] = $nombre;
 array_push($usuario, $temp);
 }
 return $usuario;
 }

 public function verCitas($id_pac){
  $stmt = $this->con->prepare(" SELECT Id_consulta, Asunto,Descripcion,Fecha,Hora,Id_Paciente,Paciente,Estado FROM consultas WHERE Id_Paciente=?");
 $stmt->bind_param("i", $id_pac);
 $stmt->execute();
 $stmt->bind_result($id_cita, $asunto_cita,$descripcion_cita,$fecha_cita,$hora_cita,$id_paciente_cita,$paciente_cita,$status);
 $cita = array();

 while($stmt->fetch()){
 $temp = array();
 $temp['idCita'] = (string)$id_cita;
 $temp['AsuntoCita'] = $asunto_cita;
 $temp['DescripcionCita'] = $descripcion_cita;
 $temp['FechaCita'] = $fecha_cita;
 $temp['HoraCita'] = $hora_cita;
 $temp['idPaciente'] = (string)$id_paciente_cita;
 $temp['PacienteCita'] = $paciente_cita ;
 $temp['statusCita'] = $status;
 array_push($cita, $temp);
 }
 return $cita;
}

public function comprobarFechaHora($fecha,$hora){
  // echo $correo." ". $password;
 $stmt = $this->con->prepare(" SELECT Id_consulta, Paciente FROM consultas WHERE Fecha=? AND Hora=? ");
 $stmt->bind_param("ss", $fecha,$hora);
 $stmt->execute();
 $stmt->bind_result($id_consultaC, $pacienteC);
 $citaC = array();

 while($stmt->fetch()){
 $temp = array();
 $temp['id_consulta'] = $id_consultaC;
 $temp['paciente'] = $pacienteC;
 array_push($citaC, $temp);
 }

 return $citaC;
 }

 public function crearCita($asunto_cita,$descripcion_cita,$fecha_cita,$hora_cita,$id_paciente_cita,$paciente_cita,$estado){
  $stmt = $this->con->prepare("INSERT INTO consultas (Asunto,Descripcion,Fecha,Hora,Id_Paciente,Paciente,Estado) VALUES (?,?,?,?,?,?,?)");
  $stmt->bind_param("ssssiss", $asunto_cita,$descripcion_cita,$fecha_cita,$hora_cita,$id_paciente_cita,$paciente_cita,$estado);
  if($stmt->execute())
    return true;
  return false;
  }

  public function eliminarHF($id_cita){
  $stmt = $this->con->prepare("UPDATE consultas SET Fecha=' ',Hora=' ' WHERE Id_consulta=?");
  $stmt->bind_param("i", $id_cita);
  if($stmt->execute())
    return true;
  return false;
  }

  public function agregarHF($id_cita,$hora,$fecha){
    $stmt = $this->con->prepare("UPDATE consultas SET Fecha=?, Hora=? WHERE Id_consulta=?");
  $stmt->bind_param("ssi",$fecha,$hora, $id_cita);
  if($stmt->execute())
    return true;
  return false;
  
  }

  public function actualizarCita($id_cita,$asunto,$descripcion,$fecha,$hora){
    $stmt = $this->con->prepare("UPDATE consultas SET Asunto=?,Descripcion=?, Fecha=?, Hora=? WHERE Id_consulta=?");
    $stmt->bind_param("ssssi",$asunto, $descripcion, $fecha,$hora, $id_cita);
    if($stmt->execute())
      return true;
    return false;

  }

  public function eliminarCita($id_cita){
    $stmt = $this->con->prepare("UPDATE consultas set Estado='Cancelada' WHERE Id_consulta=? ");
    $stmt->bind_param("i", $id_cita);
    if($stmt->execute())
      return true;
    return false;
  }

 }


?>
